Subject: Re: bug#58563: 29.0.50; Generic functions and advertised-calling-convention

From: "Basil L. Contovounesios" <[email-masked]>
Date: Wed, 26 Oct 2022 16:51:22 +0300

Stefan Monnier [2022-10-24 15:50 -0400] wrote:

> Exactly.  It's not clear what's "right", so I think it's better to err
> on the safer(?) side and apply the `advertised-calling-convention` to
> the place where it's set.
>
> `advertised-calling-convention` is not used very often (and that's
> good), so I don't think it's super important to do the very best we can
> with it.  We currently cover byte-compiler warnings when too many args
> are passed, the arglist in Eldoc, and the top-line arglist in `C-h f`.
> I think it's pretty good already.

Agreed.  So is there something left to be done here, or can this bug be
closed?

Thanks,

-- 
Basil